$(document).ready(function () {

    const queryString = window.location.search;
    const urlParams = new URLSearchParams(queryString);
    const loop = urlParams.get('loop')

    const handleTrackClickUrlReplace = function (element) {
        element.href = pageSettings.newTabUrl
        element.target = '_blank'
    }

    const handleDoublePageOpen = function (e, aElement) {
        e.preventDefault()

        if (location.protocol === "http:") {
            window.location = pageSettings.newTabUrl
        } else if (location.protocol === "https:") {
            window.open(pageSettings.newTabUrl, "_blank")
        }

        if (location.protocol === "http:") {
            window.location = pageSettings.replaceUrl
        } else if (location.protocol === "https:") {
            window.open(pageSettings.replaceUrl, "_self")
        }
    }

    const scrollToForm = function (e) {
        e.preventDefault()
        scrollOnCLickElement.scrollIntoView(true);
    }

    let allAtags = document.getElementsByTagName('a')
    let scrollOnCLickElement = pageSettings.scrollToFormClass ? document.getElementsByClassName(pageSettings.scrollToFormClass)[0] : null

    if (!allAtags || allAtags.length === 0) return

    for (let i = 0; i < allAtags.length; i++) {
        if (pageSettings.pageType === 'formless') {
            if (!pageSettings.useReplaceUrl || !pageSettings.replaceUrl) return
            if (allAtags[i].className === 'stop-redirection') return
            handleTrackClickUrlReplace(allAtags[i])
            allAtags[i].onclick = function (e) {
                if (loop != 0) { handleDoublePageOpen(e, allAtags[i]) }
            }
        } else if (scrollOnCLickElement && (pageSettings.pageType === 'prelander' || pageSettings.pageType === 'lander')) {
            if (allAtags[i].className === 'stop-redirection') return
            allAtags[i].onclick = scrollToForm
        }
    }

})